    Display the source model expression for a data set.

show_source(id=None, outfile=None, clobber=False)
id - int or str, optional
outfile - str, optional
clobber - bool, optional

This displays the source model for a data set, that is, the expression set by `set_model` or `set_source` , as well as the parameter values for the model. The `show_model` function displays the model that is fit to the data; that is, it includes any instrument responses.

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set. If not given then all source expressions are displayed.
outfile
If not given the results are displayed to the screen, otherwise it is taken to be the name of the file to write the results to.
clobber
If `outfile` is not none , then this flag controls whether an existing file can be overwritten ( True ) or if it raises an exception ( False , the default setting).

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023